curl --request GET \
--url https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stockinsights-ai-us-main-f5fd25a.zuplo.app/api/us/v0/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": "<string>",
"cik": "0000320193",
"company_name": "<string>",
"company_website": "<string>",
"ticker": "<string>",
"isin": "<string>",
"marketcap_category": "<string>",
"industry_info": {
"macro": "<string>",
"sector": "<string>",
"industry": "<string>",
"basic_industry": "<string>"
},
"exchange_info": [
{
"exchange": "NYSE",
"symbol": "<string>",
"url": "<string>"
}
]
}
],
"meta": {
"total_count": 123,
"page": 123,
"limit": 123
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>"
}
]
}Companies List
Returns a paginated list of US-listed companies with identifiers (CIK, ticker), exchange information, and industry classification. Supports filtering by ticker, CIK, sector, industry, market-cap category, and company ID. Defaults to sort by company_name ascending.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated ticker values. Plain tickers (e.g. AAPL) match the primary stock ticker. Exchange-prefixed values such as NASDAQ:AAPL are accepted and match by ticker symbol.
Comma-separated CIK values to filter by. CIKs should include leading zeros when applicable, e.g. 0000320193.
Comma-separated sectors to filter by, based on US industry classification.
Comma-separated industries to filter by, based on US industry classification.
Comma-separated internal company IDs to filter by. For US companies, this is the full CIK.
Comma-separated lowercase market-cap category keys. Client-supported inputs are mega, large, mid, small, micro, and nano.
^(mega|large|mid|small|micro|nano)(,(mega|large|mid|small|micro|nano))*$Sort specification as key:order pairs, comma-separated. Supported keys: company_name, marketcap_category. Supported orders: asc, desc. Example: company_name:asc or marketcap_category:desc,company_name:asc.
^((company_name|marketcap_category):(asc|desc))(,((company_name|marketcap_category):(asc|desc)))*$Page number for pagination. Defaults to 1.
x >= 1Number of results per page. Defaults to 10000 (returns all companies).
x >= 1